package com.ruoyi.system.domain.proprietorHouse;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业主房屋管理对象 proprietor_house
 * 
 * @author boman
 * @date 2025-02-14
 */
public class ProprietorHouse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业主房屋主键 */
    private Long proprietorId;

    /** 业主id */
    @Excel(name = "业主id")
    private Long userId;

    /** 详细门牌号 */
    @Excel(name = "详细门牌号")
    private String proprietorHouseAddress;

    /** 业主姓名 */
    @Excel(name = "业主姓名")
    private String userName;

    /** 房屋所属 */
    @Excel(name = "房屋所属")
    private String master;

    /** 建筑面积 */
    @Excel(name = "建筑面积")
    private String floorage;

    /** 房型 */
    @Excel(name = "房型")
    private String roomType;

    /** 住户类型 */
    @Excel(name = "住户类型")
    private String tenementType;

    /** 是否户主 */
    @Excel(name = "是否户主")
    private String isMaster;

    /** 与户主关系 */
    @Excel(name = "与户主关系")
    private String masterRelation;

    /** 住户数量 */
    @Excel(name = "住户数量")
    private String tenementQuantity;

    /** 是否有车位 */
    @Excel(name = "是否有车位")
    private String isPark;

    public void setProprietorId(Long proprietorId) 
    {
        this.proprietorId = proprietorId;
    }

    public Long getProprietorId() 
    {
        return proprietorId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setProprietorHouseAddress(String proprietorHouseAddress) 
    {
        this.proprietorHouseAddress = proprietorHouseAddress;
    }

    public String getProprietorHouseAddress() 
    {
        return proprietorHouseAddress;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setMaster(String master) 
    {
        this.master = master;
    }

    public String getMaster() 
    {
        return master;
    }
    public void setFloorage(String floorage) 
    {
        this.floorage = floorage;
    }

    public String getFloorage() 
    {
        return floorage;
    }
    public void setRoomType(String roomType) 
    {
        this.roomType = roomType;
    }

    public String getRoomType() 
    {
        return roomType;
    }
    public void setTenementType(String tenementType) 
    {
        this.tenementType = tenementType;
    }

    public String getTenementType() 
    {
        return tenementType;
    }
    public void setIsMaster(String isMaster) 
    {
        this.isMaster = isMaster;
    }

    public String getIsMaster() 
    {
        return isMaster;
    }
    public void setMasterRelation(String masterRelation) 
    {
        this.masterRelation = masterRelation;
    }

    public String getMasterRelation() 
    {
        return masterRelation;
    }
    public void setTenementQuantity(String tenementQuantity) 
    {
        this.tenementQuantity = tenementQuantity;
    }

    public String getTenementQuantity() 
    {
        return tenementQuantity;
    }
    public void setIsPark(String isPark) 
    {
        this.isPark = isPark;
    }

    public String getIsPark() 
    {
        return isPark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("proprietorId", getProprietorId())
            .append("userId", getUserId())
            .append("proprietorHouseAddress", getProprietorHouseAddress())
            .append("userName", getUserName())
            .append("master", getMaster())
            .append("floorage", getFloorage())
            .append("roomType", getRoomType())
            .append("tenementType", getTenementType())
            .append("isMaster", getIsMaster())
            .append("masterRelation", getMasterRelation())
            .append("tenementQuantity", getTenementQuantity())
            .append("isPark", getIsPark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
